Package com.sap.ai.sdk.grounding.model

# Class ConfigurationDocument

java.lang.Object
com.sap.ai.sdk.grounding.model.ConfigurationDocument

public class ConfigurationDocument extends Object
ConfigurationDocument

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ConfigurationDocument.TypeEnum`
  Type of the resource.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ConfigurationDocument()`
  Default constructor for ConfigurationDocument.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationDocument`
  `absoluteFilePath(String absoluteFilePath)`
  Set the absoluteFilePath of this `ConfigurationDocument` instance and return the same instance.
  `ConfigurationDocument`
  `addMetadataItem(DocumentMetadata metadataItem)`
  Add one metadata instance to this `ConfigurationDocument`.
  `static ConfigurationDocument`
  `create()`
  Create a new `ConfigurationDocument` instance.
  `ConfigurationDocument`
  `createdTimestamp(OffsetDateTime createdTimestamp)`
  Set the createdTimestamp of this `ConfigurationDocument` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getAbsoluteFilePath()`
  Absolute file path of the document in the repository.
  `OffsetDateTime`
  `getCreatedTimestamp()`
  UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ConfigurationDocument`.
  `String`
  `getId()`
  Unique identifier for the document.
  `List<DocumentMetadata>`
  `getMetadata()`
  Metadata key-value pairs associated with the document.
  `String`
  `getTitle()`
  Title of the document.
  `ConfigurationDocument.TypeEnum`
  `getType()`
  Type of the resource.
  `int`
  `hashCode()`
  `ConfigurationDocument`
  `id(String id)`
  Set the id of this `ConfigurationDocument` instance and return the same instance.
  `ConfigurationDocument`
  `metadata(List<DocumentMetadata> metadata)`
  Set the metadata of this `ConfigurationDocument` instance and return the same instance.
  `void`
  `setAbsoluteFilePath(String absoluteFilePath)`
  Set the absoluteFilePath of this `ConfigurationDocument` instance.
  `void`
  `setCreatedTimestamp(OffsetDateTime createdTimestamp)`
  Set the createdTimestamp of this `ConfigurationDocument` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ConfigurationDocument` instance.
  `void`
  `setId(String id)`
  Set the id of this `ConfigurationDocument` instance.
  `void`
  `setMetadata(List<DocumentMetadata> metadata)`
  Set the metadata of this `ConfigurationDocument` instance.
  `void`
  `setTitle(String title)`
  Set the title of this `ConfigurationDocument` instance.
  `void`
  `setType(ConfigurationDocument.TypeEnum type)`
  Set the type of this `ConfigurationDocument` instance.
  `ConfigurationDocument`
  `title(String title)`
  Set the title of this `ConfigurationDocument` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ConfigurationDocument` instance including unrecognized properties.
  `String`
  `toString()`
  `ConfigurationDocument`
  `type(ConfigurationDocument.TypeEnum type)`
  Set the type of this `ConfigurationDocument` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationDocument

    protected ConfigurationDocument()
    Default constructor for ConfigurationDocument.

- ## Method Details

  - ### id

    @Nonnull public ConfigurationDocument id(@Nullable String id)
    Set the id of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `id` - Unique identifier for the document.
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### getId

    @Nonnull public String getId()
    Unique identifier for the document.
    Returns:
      id The id of this `ConfigurationDocument` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `ConfigurationDocument` instance.
    Parameters:
      `id` - Unique identifier for the document.

  - ### title

    @Nonnull public ConfigurationDocument title(@Nullable String title)
    Set the title of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `title` - Title of the document.
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### getTitle

    @Nonnull public String getTitle()
    Title of the document.
    Returns:
      title The title of this `ConfigurationDocument` instance.

  - ### setTitle

    public void setTitle(@Nullable String title)
    Set the title of this `ConfigurationDocument` instance.
    Parameters:
      `title` - Title of the document.

  - ### absoluteFilePath

    @Nonnull public ConfigurationDocument absoluteFilePath(@Nullable String absoluteFilePath)
    Set the absoluteFilePath of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `absoluteFilePath` - Absolute file path of the document in the repository.
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### getAbsoluteFilePath

    @Nonnull public String getAbsoluteFilePath()
    Absolute file path of the document in the repository.
    Returns:
      absoluteFilePath The absoluteFilePath of this `ConfigurationDocument` instance.

  - ### setAbsoluteFilePath

    public void setAbsoluteFilePath(@Nullable String absoluteFilePath)
    Set the absoluteFilePath of this `ConfigurationDocument` instance.
    Parameters:
      `absoluteFilePath` - Absolute file path of the document in the repository.

  - ### createdTimestamp

    @Nonnull public ConfigurationDocument createdTimestamp(@Nullable OffsetDateTime createdTimestamp)
    Set the createdTimestamp of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `createdTimestamp` - UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### getCreatedTimestamp

    @Nonnull public OffsetDateTime getCreatedTimestamp()
    UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)
    Returns:
      createdTimestamp The createdTimestamp of this `ConfigurationDocument` instance.

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(@Nullable OffsetDateTime createdTimestamp)
    Set the createdTimestamp of this `ConfigurationDocument` instance.
    Parameters:
      `createdTimestamp` - UTC timestamp when the document was created (RFC 3339 format, e.g., 2025-08-28T06:15:30Z)

  - ### type

    @Nonnull public ConfigurationDocument type(@Nullable ConfigurationDocument.TypeEnum type)
    Set the type of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `type` - Type of the resource. Can be FOLDER, DOCUMENT.
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### getType

    @Nullable public ConfigurationDocument.TypeEnum getType()
    Type of the resource. Can be FOLDER, DOCUMENT.
    Returns:
      type The type of this `ConfigurationDocument` instance.

  - ### setType

    public void setType(@Nullable ConfigurationDocument.TypeEnum type)
    Set the type of this `ConfigurationDocument` instance.
    Parameters:
      `type` - Type of the resource. Can be FOLDER, DOCUMENT.

  - ### metadata

    @Nonnull public ConfigurationDocument metadata(@Nullable List<DocumentMetadata> metadata)
    Set the metadata of this `ConfigurationDocument` instance and return the same instance.
    Parameters:
      `metadata` - Metadata key-value pairs associated with the document.
    Returns:
      The same instance of this `ConfigurationDocument` class

  - ### addMetadataItem

    @Nonnull public ConfigurationDocument addMetadataItem(@Nonnull DocumentMetadata metadataItem)
    Add one metadata instance to this `ConfigurationDocument`.
    Parameters:
      `metadataItem` - The metadata that should be added
    Returns:
      The same instance of type `ConfigurationDocument`

  - ### getMetadata

    @Nonnull public List<DocumentMetadata> getMetadata()
    Metadata key-value pairs associated with the document.
    Returns:
      metadata The metadata of this `ConfigurationDocument` instance.

  - ### setMetadata

    public void setMetadata(@Nullable List<DocumentMetadata> metadata)
    Set the metadata of this `ConfigurationDocument` instance.
    Parameters:
      `metadata` - Metadata key-value pairs associated with the document.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ConfigurationDocument`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ConfigurationDocument` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ConfigurationDocument` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ConfigurationDocument` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ConfigurationDocument create()
    Create a new `ConfigurationDocument` instance. No arguments are required.